数据提供商: DataForSEO
获取域名或 URL 的反向链接总数与域名排名(DataForSEO)
每次调用 $0.024 起在 30 秒内响应
获取一个域名或 URL 的总体反向链接情况:反向链接总数、引用域名总数、域名排名和 dofollow 占比。仅提供汇总数据,从不单独列出具体链接。按请求付费,无需订阅套餐。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the DataForSEO endpoint /v3/backlinks/summary/live on Glasser.bash
glasser run -p dataforseo -e '/v3/backlinks/summary/live' -i '{"target":"anthropic.com"}' --endpoint-version 2使用接口版本 2。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"dataforseo","endpoint":"/v3/backlinks/summary/live","input":{"target":"anthropic.com"},"endpoint_version":2}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 2,运行前请确认当前价格。
第 2 步尝试一个具体任务
研究相关外链来源时,可以查看与你的领域相关的网站的反向链接数据。
复制此提示词到你的 Agent,查找与你的领域相关的外链来源。
提示词
Use dataforseo:/v3/backlinks/summary/live on Glasser.
Find linking sources relevant to my niche in the returned backlink data.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"target"
],
"properties": {
"tag": {
"type": "string"
},
"target": {
"type": "string",
"maxLength": 255,
"minLength": 3
},
"rank_scale": {
"type": "string"
},
"backlinks_filters": {
"type": "array",
"description": "DataForSEO filter expression, passed through unchanged: one condition [field, operator, value], or conditions joined by \"and\" / \"or\" ([[a], \"and\", [b]]). Field names come from this endpoint's result items; the number of conditions allowed is in the endpoint's docUrl."
},
"include_subdomains": {
"type": "boolean"
},
"internal_list_limit": {
"type": "integer"
},
"backlinks_status_type": {
"type": "string"
},
"include_indirect_links": {
"type": "boolean"
},
"exclude_internal_backlinks": {
"type": "boolean"
}
},
"additionalProperties": false
}json
{
"target": "anthropic.com"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 基础费用 | 有无匹配数据均按此价格收费。 | $0.024 |
|---|---|---|
| 每行 | 按返回的每行计费。 | $0.000036 |
| 每次运行的费用上限 | 总费用不会超过此金额。 | $0.024036 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |